/*
	CSS Rules
		selector {
			property: value;
		}
	CSS Selectors
	1. Type Selector - used to target elements with a specified type/tag name.
	2. Universal Selector - used to target all elements	
	3. Id Selector - use to targets elements with unique styling
	4. Class Selector - use to targets multiple elements with similar styling
	5. Attribute Selector - it only works based on the exact attribute syntax provided in the HTML tag.

	Selector hierarchy
	1. ID
	2. Class
	3. Attribute
	4. Type
	5. Universal
*/

/*Universal Selector*/
* {
	font-family: "courier new", monospace;
	font-size: 20px;
}

/*Type Selector*/
h1 {
	color: blue;
}
/*ID Selector*/
/*# id-name*/
#zuitt-motto {
	letter-spacing: 5px;
}
/*Class Selector*/
/*.class-name*/
.offering-item {
	text-transform: uppercase;
}
/*Attribute Selector*/
/* tagname[attribute] */
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/*Adjacent Sibling Selector*/
/*selector + selector*/
h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}
/*Descendant Selector*/
/*selector selector*/
#bootcamp-learning-list li {
	color: darkgreen;
}

/*General Sibling Selector*/
/*selector ~ selector*/
h2 ~ a {
	 text-decoration: none;
}

/*Child Selector*/
/*selector > selector*/
body > section > form > label {
	color: pink;
}

/*Multiple Selector*/
/*p, #test, .test, .box*/